ApiClusterTemplateVariable (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiClusterTemplateVariable

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiClusterTemplateVariable

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiClusterTemplateVariable
      extends Object

  Variable that is referred in cluster template.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiClusterTemplateVariable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getName()` Variable name that are referred in cluster template
    `String` | `getValue()` This value will be placed whereever the variable is referred in the cluster template
    `int` | `hashCode()`
    `ApiClusterTemplateVariable` | `name(String name)`
    `void` | `setName(String name)`
    `void` | `setValue(String value)`
    `String` | `toString()`
    `ApiClusterTemplateVariable` | `value(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiClusterTemplateVariable

          public ApiClusterTemplateVariable()

  - ### Method Detail

    - #### name

          public ApiClusterTemplateVariable name(String name)

    - #### getName

          public String getName()

      Variable name that are referred in cluster template
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### value

          public ApiClusterTemplateVariable value(String value)

    - #### getValue

          public String getValue()

      This value will be placed whereever the variable is referred in the cluster template
      Returns:
        value

    - #### setValue

          public void setValue(String value)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.